Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2008-11-28 06:25:25 +0300
committerJunio C Hamano <gitster@pobox.com>2008-11-28 06:25:25 +0300
commitd5cbdba843cdd61100933a00c3cfecfb71e9761b (patch)
tree5aaf763841562233e6d3621f6d595c4b0c2f25e1
parent8c1944dd3468c8585ab3bdf149834d3256c797b4 (diff)
parentee2314f59a4eb8451008d4468fd96bb4e40763dc (diff)
Merge branch 'cc/bisect-skip'
* cc/bisect-skip: bisect: teach "skip" to accept special arguments like "A..B"
-rwxr-xr-xgit-bisect.sh19
1 files changed, 18 insertions, 1 deletions
diff --git a/git-bisect.sh b/git-bisect.sh
index 0d0e278c92..6706bc1e7c 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -191,6 +191,21 @@ check_expected_revs() {
done
}
+bisect_skip() {
+ all=''
+ for arg in "$@"
+ do
+ case "$arg" in
+ *..*)
+ revs=$(git rev-list "$arg") || die "Bad rev input: $arg" ;;
+ *)
+ revs="'$arg'" ;;
+ esac
+ all="$all $revs"
+ done
+ bisect_state 'skip' $all
+}
+
bisect_state() {
bisect_autostart
state=$1
@@ -630,8 +645,10 @@ case "$#" in
git bisect -h ;;
start)
bisect_start "$@" ;;
- bad|good|skip)
+ bad|good)
bisect_state "$cmd" "$@" ;;
+ skip)
+ bisect_skip "$@" ;;
next)
# Not sure we want "next" at the UI level anymore.
bisect_next "$@" ;;